%global _realname istilldontcareaboutcookies
%global _extid idcac-pub@guus.ninja
%global _extensionsdir %{_datadir}/mozilla/extensions/\{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}

Summary: I still don't care about cookies extension for Firefox
Name: firefox-extension-%{_realname}
Version: 1.1.4
Release: 1%{?dist}
License: GPL-3.0-only
Group: Applications/Internet
URL: https://addons.mozilla.org/firefox/addon/istilldontcareaboutcookies/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://addons.mozilla.org/firefox/downloads/file/4216095/%{_realname}-%{version}.xpi
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: firefox
BuildArch: noarch
AutoReqProv: No

%description
The EU regulations require that any website using tracking cookies must
get user's permission before installing them. These warnings appear on
most websites until the visitor agrees with the website's terms and
conditions. Imagine how irritating that becomes when you surf
anonymously or if you delete cookies automatically every time you
close the browser.

This add-on will remove these cookie warnings from almost all websites!
You can report any website which still warns you about cookies: just
click 'Report a cookie warning' from the extension menu (the brown
cookie image next to your address bar).

In most cases, the add-on just blocks or hides cookie related pop-ups.
When it's needed for the website to work properly, it will automatically
accept the cookie policy for you (sometimes it will accept all and
sometimes only necessary cookie categories, depending on what's easier
to do). It doesn't delete cookies.

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_extensionsdir}
%{__install} -m 0644 -p %{SOURCE0} %{buildroot}%{_extensionsdir}/%{_extid}.xpi

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_extensionsdir}/%{_extid}.xpi

%changelog
* Sun Aug 11 2024 Simon Matter <simon.matter@invoca.ch> 1.1.4-1
- initial build
